package com.ruoyi.web.modules.mall.service;

import com.ruoyi.web.modules.mall.dto.MallSettingSaveDTO;
import com.ruoyi.web.modules.mall.vo.MallConfigAppVO;
import com.ruoyi.web.modules.mall.vo.MallSettingEntryHintsVO;
import com.ruoyi.web.modules.mall.vo.MallSettingVO;

/**
 * 商城设置 Service
 */
public interface IMallConfigService
{
    MallSettingVO getSettings();

    void updateSettings(MallSettingSaveDTO dto, String operator);

    MallSettingEntryHintsVO getEntryHints();

    MallConfigAppVO getForApp();
}
